summaryrefslogtreecommitdiff
path: root/scripts/crosstool.sh
diff options
context:
space:
mode:
authorYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2008-05-14 17:56:33 (GMT)
committerYann E. MORIN" <yann.morin.1998@anciens.enib.fr>2008-05-14 17:56:33 (GMT)
commit4ebe15e6b470f6bdc2db679e74515952006b1643 (patch)
tree37f3b9183f8e143b20872c690b22f85ddd347b62 /scripts/crosstool.sh
parent5e2851a21945b7b0f67203c260ecdbb9d97af007 (diff)
Sanitise and use CT_CC_NATIVE.
Comment inclusion of scripts/functions. /trunk/scripts/build/cc_gcc.sh | 6 6 0 0 ++++++ /trunk/scripts/crosstool.sh | 7 6 1 0 ++++++- 2 files changed, 12 insertions(+), 1 deletion(-)
Diffstat (limited to 'scripts/crosstool.sh')
-rwxr-xr-xscripts/crosstool.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/crosstool.sh b/scripts/crosstool.sh
index e85be55..675a330 100755
--- a/scripts/crosstool.sh
+++ b/scripts/crosstool.sh
@@ -13,6 +13,11 @@
# and builds the tools.
# Parse the common functions
+# Note: some initialisation and sanitizing is done while parsing this file,
+# most notably:
+# - set trap handler on errors,
+# - don't hash commands lookups,
+# - initialise logging.
. "${CT_LIB_DIR}/scripts/functions"
CT_STAR_DATE=`CT_DoDate +%s%N`
@@ -386,7 +391,7 @@ if [ -z "${CT_RESTART}" ]; then
# Do that:
CT_DoLog DEBUG "Making build system tools available"
mkdir -p "${CT_PREFIX_DIR}/bin"
- for tool in ar as dlltool gcc g++ gnatbind gnatmake ld nm ranlib strip windres objcopy objdump; do
+ for tool in ar as dlltool ${CT_CC_NATIVE:=gcc} gnatbind gnatmake ld nm ranlib strip windres objcopy objdump; do
tmp=`CT_Which ${tool}`
if [ -n "${tmp}" ]; then
ln -sfv "${tmp}" "${CT_PREFIX_DIR}/bin/${CT_BUILD}-${tool}"